# Uses of Interface
net.shibboleth.idp.attribute.filter.AttributeFilter

Packages that use AttributeFilter
Package
Description
net.shibboleth.idp.attribute.filter.context
The contexts to do with attribute filtering.
net.shibboleth.idp.attribute.filter.impl
Implementations of core attribute filter functionality.
net.shibboleth.idp.attribute.filter.spring.impl
Parsers for the top level of the "urn:mace:shibboleth:2.0:afp" namespace.
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.

## Uses of AttributeFilter in net.shibboleth.idp.attribute.filter.context

Method parameters in net.shibboleth.idp.attribute.filter.context with type arguments of type AttributeFilter
Modifier and Type
Method
Description
`void`
AttributeFilterContext.`filterAttributes(ReloadableService<AttributeFilter> attributeFilterService)`
Helper method to invoke an AttributeFilter service using this context.

## Uses of AttributeFilter in net.shibboleth.idp.attribute.filter.impl

Classes in net.shibboleth.idp.attribute.filter.impl that implement AttributeFilter
Modifier and Type
Class
Description
`class`
`AttributeFilterImpl`
Service that filters out attributes and values based upon loaded policies.

## Uses of AttributeFilter in net.shibboleth.idp.attribute.filter.spring.impl

Methods in net.shibboleth.idp.attribute.filter.spring.impl that return types with arguments of type AttributeFilter
Modifier and Type
Method
Description
`ServiceableComponent<AttributeFilter>`
AttributeFilterServiceStrategy.`apply(ApplicationContext appContext)`

## Uses of AttributeFilter in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl with type parameters of type AttributeFilter
Modifier and Type
Field
Description
`private ReloadableService<AttributeFilter>`
BasicResponseMappingStrategy.`filterService`
AttributeFilter service.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return types with arguments of type AttributeFilter
Modifier and Type
Method
Description
`ReloadableService<AttributeFilter>`
BasicResponseMappingStrategy.`getAttributeFilterService()`
Get the instance of `AttributeFilter` service to use.
Method parameters in net.shibboleth.idp.attribute.resolver.dc.saml.impl with type arguments of type AttributeFilter
Modifier and Type
Method
Description
`void`
BasicResponseMappingStrategy.`setAttributeFilterService(ReloadableService<AttributeFilter> service)`
Set the instance of `AttributeFilter` service to use.